/* #Declinazione di responsabilità. 
#I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
#L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo.       */
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2020_Escursioni_IT_DELIMITED.dct, clear
/*
label define  tr_cl0 02   "Record individuale" 03   "Record viaggi" 04   "Record escursioni"  
label define  sesso_cl4 1   "Maschi" 2   "Femmine"  
label define  eta5_cl5 01   "<=5 anni" 02   "6-14 anni" 03   "15-17 anni" 04   "18-24 anni" 05   "25-29 anni" 06   "30-34 anni" 07   "35-39 anni" 08   "40-44 anni" 09   "45-49 anni" 10   "50-54 anni" 11   "55-59 anni" 12   "60-64 anni" 13   "65-69 anni" 14   "70-74 anni" 15   ">=75 anni"  
label define  staciv_cl6 1   "Celibe/nubile'" 2   "Coniugato'" 3   "Separato di fatto" 4   "Separato legalmente" 5   "Divorziato" 6   "Vedovo"  
label define  reg_cl7 010   "Piemonte" 020   "Valle d'Aosta/Vallee' d'Aoste" 030   "Lombardia" 040   "Trentino A.Adige/Sudtirol" 050   "Veneto" 060   "Friuli-Venezia Giulia" 070   "Liguria" 080   "Emilia-Romagna" 090   "Toscana" 100   "Umbria" 110   "Marche" 120   "Lazio" 130   "Abruzzo" 140   "Molise" 150   "Campania" 160   "Puglia" 170   "Basilicata" 180   "Calabria" 190   "Sicilia" 200   "Sardegna"  
label define  rip_cl8 1   "Nord-ovest" 2   "Nord-est" 3   "Centro" 4   "Sud" 5   "Isole"  
label define  istr_cl9 01   "Nessun titolo" 02   "Licenza elementare" 03   "Licenza media (licenza di avviamento professionale" 04   "Dipl. di qualif prof di scuola second di II grado di 2-3 anni,che non permette iscriz univ" 05   "Dipl. di istr second sup che permette accesso universita" 06   "Dipl. di Accademia (Belle Arti,arte drammatica,Danza),Ist Sup Industrie Artistiche,Conserv di musica,Ist Musicale Pareggiato-vecchio ord.to" 07   "Dipl. universitario di due/tre anni, Scuola diretta a fini speciali,altro diploma terziario non universitario" 08   "Laurea di I livello - nuovo ordinamento (3 anni)" 09   "Laurea - vecchio ordinamento (4/6 anni)" 10   "Laurea spec/magistrale a ciclo unico - nuovo ordinamento (corsi di 5/6 anni)" 11   "Laurea spec/magistrale - nuovo ordinamento (corsi di II liv di 2 anni)" 13   "Dottorato di ricerca/diploma accademico di formazione alla ricerca" 15   "Certificato di spec.ne tecnica superiore IFTS" 16   "Dipl di tecnico superiore ITS (corsi biennali)" 17   "Dipl accad di Alta Formazione Artistica, Musicale e Coreutica (AFAM) di I livello" 18   "Dipl accad di Alta Formazione Artistica, Musicale e Coreutica (AFAM) di II livello" 19   "Master univ I liv/Dipl accad perfez.to o Master I liv/Diploma accad spec.ne I liv" 20   "Master univ II liv/ Dip accad perfez.to o Master di II livello/ Dipl acc spec II livello" 21   "Dipl di specializzazione univ" 22   "Attestato IeFP di qualifica professionale triennale (operatore,corso trien)/dipl prof IeFP di tecnico(4.to anno)"  
label define  condogg_cl10 01   "Occupato" 02   "In cerca di occupazione" 03   "Inattivo"  
label define  posiz_cl11 01   "Dirigente" 02   "Quadro" 03   "Impiegato" 04   "Operaio" 05   "Apprendista" 06   "Lavorante a domicilio per conto d'imprese" 07   "Imprenditore" 08   "Libero professionista" 09   "Lavoratore in proprio" 10   "Socio di cooperativa" 11   "Coadiuvante nell'azienda di un familiare" 12   "Collaboratore coordinato e continuativo (con o senza progetto)" 13   "Prestatore d'opera occasionale"  
label define  ateco10_cl12 01   "Agricoltura, caccia e pesca'" 02   "Industria'" 03   "Costruzioni'" 04   "Commercio, trasporto, magazzinaggio, alberghi, ristoranti" 05   "Informazione e comunicazione" 06   "Attivita' finanziarie" 07   "Attivita' immobiliari" 08   "Attivita' professionali, scientifiche, attivita' amministrative, servizi di supporto" 09   "Pubblica amministrazione, Difesa, Istruzione, Sanita', altri servizi sociali" 10   "Altri servizi"  
label define  cond_cl13 01   "Occupato" 02   "In cerca di prima occupazione" 03   "In cerca di nuova occupazione" 04   "Casalinga" 05   "Studente" 06   "Persona ritirata dal lavoro" 07   "In altra condizione"  
label define  orario_cl14 1   "A tempo pieno" 2   "A tempo parziale"  
label define  rapp_cl15 1   "A tempo determinato" 2   "A tempo indeterminato"  
label define  codprof_cl16 1   "LEGISLATORI, IMPRENDITORI E ALTA DIRIGENZA" 2   "PROFESSIONI INTELLETTUALI, SCIENTIFICHE E DI ELEVATA SPECIALIZZAZIONE" 3   "PROFESSIONI TECNICHE" 4   "PROFESSIONI ESECUTIVE NEL LAVORO D'UFFICIO" 5   "PROFESSIONI QUALIFICATE NELLE ATTIVITA' COMMERCIALI E NEI SERVIZI" 6   "ARTIGIANI, OPERAI SPECIALIZZATI E AGRICOLTORI" 7   "CONDUTTORI DI IMPIANTI, OPERAI DI MACCHINARI FISSI E MOBILI E CONDUCENTI DI VEICOLI" 8   "PROFESSIONI NON QUALIFICATE" 9   "FORZE ARMATE"  
label define  dest_eie_cl18 1   "Italia" 2   "Estero"  
label define  dest_ere_cl19 001   "Piemonte" 002   "Valle d'Aosta-Vallee' d'Aoste" 003   "Lombardia" 004   "Trentino-Alto Adige/Sud Tirol" 005   "Veneto" 006   "Friuli-Venezia Giulia" 007   "Liguria" 008   "Emilia-Romagna" 009   "Toscana" 010   "Umbria" 011   "Marche" 012   "Lazio" 013   "Abruzzo" 014   "Molise" 015   "Campania" 016   "Puglia" 017   "Basilicata" 018   "Calabria" 019   "Sicilia" 020   "Sardegna" 121   "Austria" 122   "Belgio" 123   "Danimarca" 124   "Finlandia" 125   "Francia" 126   "Germania" 127   "Grecia" 128   "Irlanda" 130   "Lussemburgo" 132   "Olanda" 133   "Polonia" 134   "Portogallo" 136   "Repubblica Ceca" 137   "Repubblica Slovacca" 138   "Spagna" 139   "Svezia" 142   "Ungheria" 159   "Bulgaria" 161   "Cipro" 163   "Estonia" 164   "Latvia" 165   "Lituania" 166   "Malta" 167   "Romania" 169   "Slovenia" 172   "Croazia" 200   "Paesi non UE (escluso Regno Unito)" 235   "Regno Unito (non UE dal 2020)" 300   "Nord America" 400   "Centro-Sud America" 500   "Africa" 600   "Asia-Oceania"  
label define  dest_epr_cl20 001   "Torino" 002   "Vercelli" 003   "Novara" 004   "Cuneo" 005   "Asti" 006   "Alessandria" 007   "Valle d'Aosta/Vallee' d'Aoste" 008   "Imperia" 009   "Savona" 010   "Genova" 011   "La Spezia" 012   "Varese" 013   "Como" 014   "Sondrio" 015   "Milano" 016   "Bergamo" 017   "Brescia" 018   "Pavia" 019   "Cremona" 020   "Mantova" 021   "Bolzano/Bozen" 022   "Trento" 023   "Verona" 024   "Vicenza" 025   "Belluno" 026   "Treviso" 027   "Venezia" 028   "Padova" 029   "Rovigo" 030   "Udine" 031   "Gorizia" 032   "Trieste" 033   "Piacenza" 034   "Parma" 035   "Reggio nell'Emilia" 036   "Modena" 037   "Bologna" 038   "Ferrara" 039   "Ravenna" 040   "Forli'-Cesena" 041   "Pesaro e Urbino" 042   "Ancona" 043   "Macerata" 044   "Ascoli Piceno" 045   "Massa-Carrara" 046   "Lucca" 047   "Pistoia" 048   "Firenze" 049   "Livorno" 050   "Pisa" 051   "Arezzo" 052   "Siena" 053   "Grosseto" 054   "Perugia" 055   "Terni" 056   "Viterbo" 057   "Rieti" 058   "Roma" 059   "Latina" 060   "Frosinone" 061   "Caserta" 062   "Benevento" 063   "Napoli" 064   "Avellino" 065   "Salerno" 066   "L'Aquila" 067   "Teramo" 068   "Pescara" 069   "Chieti" 070   "Campobasso" 071   "Foggia" 072   "Bari" 073   "Taranto" 074   "Brindisi" 075   "Lecce" 076   "Potenza" 077   "Matera" 078   "Cosenza" 079   "Catanzaro" 080   "Reggio di Calabria" 081   "Trapani" 082   "Palermo" 083   "Messina" 084   "Agrigento" 085   "Caltanissetta" 086   "Enna" 087   "Catania" 088   "Ragusa" 089   "Siracusa" 090   "Sassari" 091   "Nuoro" 092   "Cagliari" 093   "Pordenone" 094   "Isernia" 095   "Oristano" 096   "Biella" 097   "Lecco" 098   "Lodi" 099   "Rimini" 100   "Prato" 101   "Crotone" 102   "Vibo Valentia" 103   "Verbano-Cusio-Ossola" 104   "Olbia-Tempio" 105   "Ogliastra" 106   "Medio Campidano" 107   "Carbonia-Iglesias" 108   "Monza e della Brianza" 109   "Fermo" 110   "Barletta-Andria-Trani" 111   "Sud Sardegna" 999   "Non sa"  
label define  motesc_cl21 01   "Piacere, svago, vacanza" 02   "Visita a parenti e/o amici" 03   "Motivo religioso, pellegrinaggio" 04   "Cultura" 05   "Trattamento di salute, cura termale/Visite e cure mediche" 06   "Shopping" 07   "Motivi di lavoro" 08   "Accompagnare un familiare/parente/amico" 09   "Bellezze naturali" 10   "Gastronomia, folklore o spettacoli" 11   "Altro motivo, Non sa/Non risponde"  
label define  partesc_cl22 1   "si" 2   "no"  
label define  npartesc_cl23 01   "1" 02   "2" 03   "3" 04   "4" 05   "5 e piu' partecipanti"  
label define  emezzo_cl24 01   "Aereo" 02   "Treno" 03   "Nave, battello, motoscafo" 04   "Auto a noleggio" 05   "Auto propria, di parenti/amici" 06   "Pullman turistico" 07   "Pullman di linea" 08   "Camper, autocaravan" 09   "Moto, Motoscooter" 10   "Altro" 11   "Altro a motore"  
label define  trim_cl27 01   "Gennaio-Marzo" 02   "Aprile-Giugno" 03   "Luglio-Settembre" 04   "Ottobre-Dicembre"  
label define  dominio_cl28 1   "Comuni centro dell'area metropolitana" 2   "Comuni periferia dell'area metropolitana e comuni con 50.001 ab. e piu'" 3   "Altri comuni fino a 50.000 ab."  
label values  tr tr_cl0
label values  sesso sesso_cl4
label values  eta5 eta5_cl5
label values  staciv staciv_cl6
label values  reg reg_cl7
label values  rip rip_cl8
label values  istr istr_cl9
label values  condogg condogg_cl10
label values  posiz posiz_cl11
label values  ateco10 ateco10_cl12
label values  cond cond_cl13
label values  orario orario_cl14
label values  rapp rapp_cl15
label values  codprof codprof_cl16
label values  dest_eie dest_eie_cl18
label values  dest_ere dest_ere_cl19
label values  dest_epr dest_epr_cl20
label values  motesc motesc_cl21
label values  partesc partesc_cl22
label values  npartesc npartesc_cl23
label values  emezzo emezzo_cl24
label values  trim trim_cl27
label values  dominio dominio_cl28
*/
save  VV_A2020_Escursioni.dta, replace
