#Declinazione di responsabilità. 
#I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
#L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo.  
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_VV_Microdati_2020_Individui_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_VV_A2020_Individui<- read.delim2 (fileInput,  header=T, sep="	",  quote="",  na.strings = ".")
attr(DF_VV_A2020_Individui, "label") <- c(
"tipo record",
"mese di riferimento dei dati",
"anno di riferimento dei dati",
"Numero d'ordine progressivo individuale sull'anno",
"sesso",
"Classi di eta' in anni compiuti",
"stato civile",
"cittadinanza",
"regione di residenza",
"ripartizione geografica di residenza",
"titolo di studio piu' alto conseguito",
"condizione professionale oggettiva",
"posizione nella professione",
"settore di attivita' economica",
"condizione professionale soggettiva",
"tipo di orario di lavoro",
"tipo di rapporto di lavoro",
"codifica della professione lavorativa (Grandi gruppi)",
"motivo per cui l'individuo non ha effettuato vacanze nel mese",
"numero totale viaggi di lavoro abituali nel mese",
"numero totale di notti per viaggi di lavoro abituali nel mese",
"numero totale viaggi di vacanza abituali nel mese",
"numero totale di notti per viaggi di vacanza abituali nel mese",
"presenza escursioni effettuate dall'individuo nel mese",
"numero escursioni effettuate dall'individuo nel mese",
"presenza viaggi effettuati dall'individuo nel mese",
"numero viaggi effettuati dall'individuo nel mese",
"presenza viaggi di lavoro effettuati dall'individuo nel mese",
"numero viaggi di lavoro effettuati dall'individuo nel mese",
"presenza viaggi di vacanza effettuati dall'individuo nel mese",
"numero viaggi di vacanza effettuati dall'individuo nel mese",
"presenza viaggi di vacanza di 1-3 notti effettuati dall'individuo nel mese",
"numero viaggi di vacanza di 1-3 notti effettuati dall'individuo nel mese",
"presenza viaggi di vacanza di 4 o piu' notti effettuati dall'individuo nel mese",
"numero viaggi di vacanza di 4 o piu' notti effettuati dall'individuo nel mese",
"coefficiente di riporto per le stime di viaggi, escursioni e individui (turisti e non turisti) nel mese medio del trimestre",
"coefficiente di riporto per il calcolo dell'ammontare dei viaggi (abituali e non abituali) ed escursioni nel mese, nel trimestre e nell'anno",
"trimestre di riferimento dei dati",
"tipologia socio-demografica del comune di residenza",
"numero componenti della famiglia di fatto dell'intervista iniziale",
"paese di nascita")

tr_Fact <- factor(DF_VV_A2020_Individui$tr, 
levels=c("02", 
"03", 
"04"), 
labels=c("Record individuale", 
"Record viaggi", 
"Record escursioni")) 


sesso_Fact <- factor(DF_VV_A2020_Individui$sesso, 
levels=c("1", 
"2"), 
labels=c("Maschi", 
"Femmine")) 


eta5_Fact <- factor(DF_VV_A2020_Individui$eta5, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15"), 
labels=c("<=5 anni", 
"6-14 anni", 
"15-17 anni", 
"18-24 anni", 
"25-29 anni", 
"30-34 anni", 
"35-39 anni", 
"40-44 anni", 
"45-49 anni", 
"50-54 anni", 
"55-59 anni", 
"60-64 anni", 
"65-69 anni", 
"70-74 anni", 
">=75 anni")) 


staciv_Fact <- factor(DF_VV_A2020_Individui$staciv, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6"), 
labels=c("Celibe/nubile", 
"Coniugato", 
"Separato di fatto", 
"Separato legalmente", 
"Divorziato", 
"Vedovo")) 


citt_Fact <- factor(DF_VV_A2020_Individui$citt, 
levels=c("1", 
"2"), 
labels=c("Italiana", 
"Estera")) 


reg_Fact <- factor(DF_VV_A2020_Individui$reg, 
levels=c("010", 
"020", 
"030", 
"040", 
"050", 
"060", 
"070", 
"080", 
"090", 
"100", 
"110", 
"120", 
"130", 
"140", 
"150", 
"160", 
"170", 
"180", 
"190", 
"200"), 
labels=c("Piemonte", 
"Valle d'Aosta/Vallee' d'Aoste", 
"Lombardia", 
"Trentino A.Adige/Sudtirol", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


rip_Fact <- factor(DF_VV_A2020_Individui$rip, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole")) 


istr_Fact <- factor(DF_VV_A2020_Individui$istr, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"13", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22"), 
labels=c("Nessun titolo", 
"Licenza elementare", 
"Licenza media (licenza di avviamento professionale", 
"Dipl. di qualif prof di scuola second di II grado di 2-3 anni,che non permette iscriz univ", 
"Dipl. di istr second sup che permette accesso universita", 
"Dipl. di Accademia (Belle Arti,arte drammatica,Danza),Ist Sup Industrie Artistiche,Conserv di musica,Ist Musicale Pareggiato-vecchio ord.to", 
"Dipl. universitario di due/tre anni, Scuola diretta a fini speciali,altro diploma terziario non universitario", 
"Laurea di I livello - nuovo ordinamento (3 anni)", 
"Laurea - vecchio ordinamento (4/6 anni)", 
"Laurea spec/magistrale a ciclo unico - nuovo ordinamento (corsi di 5/6 anni)", 
"Laurea spec/magistrale - nuovo ordinamento (corsi di II liv di 2 anni)", 
"Dottorato di ricerca/diploma accademico di formazione alla ricerca", 
"Certificato di spec.ne tecnica superiore IFTS", 
"Dipl di tecnico superiore ITS (corsi biennali)", 
"Dipl accad di Alta Formazione Artistica, Musicale e Coreutica (AFAM) di I livello", 
"Dipl accad di Alta Formazione Artistica, Musicale e Coreutica (AFAM) di II livello", 
"Master univ I liv/Dipl accad perfez.to o Master I liv/Diploma accad spec.ne I liv", 
"Master univ II liv/ Dip accad perfez.to o Master di II livello/ Dipl acc spec II livello", 
"Dipl di specializzazione univ", 
"Attestato IeFP di qualifica professionale triennale (operatore,corso trien)/dipl prof IeFP di tecnico(4.to anno)")) 


condogg_Fact <- factor(DF_VV_A2020_Individui$condogg, 
levels=c("01", 
"02", 
"03"), 
labels=c("Occupato", 
"In cerca di occupazione", 
"Inattivo")) 


posiz_Fact <- factor(DF_VV_A2020_Individui$posiz, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13"), 
labels=c("Dirigente", 
"Quadro", 
"Impiegato", 
"Operaio", 
"Apprendista", 
"Lavorante a domicilio per conto d'imprese", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Socio di cooperativa", 
"Coadiuvante nell'azienda di un familiare", 
"Collaboratore coordinato e continuativo (con o senza progetto)", 
"Prestatore d'opera occasionale")) 


ateco10_Fact <- factor(DF_VV_A2020_Individui$ateco10, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10"), 
labels=c("Agricoltura, caccia e pesca", 
"Industria", 
"Costruzioni", 
"Commercio, trasporto, magazzinaggio, alberghi, ristoranti", 
"Informazione e comunicazione", 
"Attivita' finanziarie", 
"Attivita' immobiliari", 
"Attivita' professionali, scientifiche, attivita' amministrative, servizi di supporto", 
"Pubblica amministrazione, Difesa, Istruzione, Sanita', altri servizi sociali", 
"Altri servizi")) 


cond_Fact <- factor(DF_VV_A2020_Individui$cond, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07"), 
labels=c("Occupato", 
"In cerca di prima occupazione", 
"In cerca di nuova occupazione", 
"Casalinga", 
"Studente", 
"Persona ritirata dal lavoro", 
"In altra condizione")) 


ORARIO_Fact <- factor(DF_VV_A2020_Individui$ORARIO, 
levels=c("1", 
"2"), 
labels=c("A tempo pieno", 
"A tempo parziale")) 


RAPP_Fact <- factor(DF_VV_A2020_Individui$RAPP, 
levels=c("1", 
"2"), 
labels=c("A tempo determinato", 
"A tempo indeterminato")) 


CODPROF_Fact <- factor(DF_VV_A2020_Individui$CODPROF, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("LEGISLATORI, IMPRENDITORI E ALTA DIRIGENZA", 
"PROFESSIONI INTELLETTUALI, SCIENTIFICHE E DI ELEVATA SPECIALIZZAZIONE", 
"PROFESSIONI TECNICHE", 
"PROFESSIONI ESECUTIVE NEL LAVORO D'UFFICIO", 
"PROFESSIONI QUALIFICATE NELLE ATTIVITA' COMMERCIALI E NEI SERVIZI", 
"ARTIGIANI, OPERAI SPECIALIZZATI E AGRICOLTORI", 
"CONDUTTORI DI IMPIANTI, OPERAI DI MACCHINARI FISSI E MOBILI E CONDUCENTI DI VEICOLI", 
"PROFESSIONI NON QUALIFICATE", 
"FORZE ARMATE")) 


novac_Fact <- factor(DF_VV_A2020_Individui$novac, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"99"), 
labels=c("Motivi economici", 
"Motivi di lavoro,studio,familiari", 
"Mancanza di abitudine", 
"Emergenza sanitaria", 
"Altri motivi (inclusi motivi di salute)", 
"Non sa, non risponde")) 


IESC_Fact <- factor(DF_VV_A2020_Individui$IESC, 
levels=c("0", 
"1"), 
labels=c("Nessuna escursione dell'individuo", 
"Almeno un'escursione dell'individuo")) 


ivia_Fact <- factor(DF_VV_A2020_Individui$ivia, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio dell'individuo", 
"Almeno un viaggio dell'individuo")) 


ilav_Fact <- factor(DF_VV_A2020_Individui$ilav, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio di lavoro dell'individuo", 
"Almeno un viaggio di lavoro dell'individuo")) 


ivac_Fact <- factor(DF_VV_A2020_Individui$ivac, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio di vacanza dell'individuo", 
"Almeno un viaggio di vacanza dell'individuo")) 


ibreve_Fact <- factor(DF_VV_A2020_Individui$ibreve, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio di vacanza 1-3 notti dell'individuo", 
"Almeno un viaggio di vacanza 1-3 notti dell'individuo")) 


ilunga_Fact <- factor(DF_VV_A2020_Individui$ilunga, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio di vacanza lunga dell'individuo", 
"Almeno un viaggio di vacanza lunga dell'individuo")) 


TRIM_Fact <- factor(DF_VV_A2020_Individui$TRIM, 
levels=c("01", 
"02", 
"03", 
"04"), 
labels=c("Gennaio-Marzo", 
"Aprile-Giugno", 
"Luglio-Settembre", 
"Ottobre-Dicembre")) 


DOMINIO_Fact <- factor(DF_VV_A2020_Individui$DOMINIO, 
levels=c("1", 
"2", 
"3"), 
labels=c("Comuni centro dell'area metropolitana", 
"Comuni periferia dell'area metropolitana e comuni con 50.001 ab. e piu'", 
"Altri comuni fino a 50.000 ab.")) 


ncomp_Fact <- factor(DF_VV_A2020_Individui$ncomp, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6"), 
labels=c("1 componente", 
"2 componenti", 
"3 componenti", 
"4 componenti", 
"5 componenti", 
"6 o piu' componenti")) 


pnasc_Fact <- factor(DF_VV_A2020_Individui$pnasc, 
levels=c("1", 
"2"), 
labels=c("Italia", 
"Estero")) 

save.image (file="DF_VV_A2020_Individui.RData")
